drumkv1 (0.9.31-1) unstable; urgency=medium

  * New upstream version 0.9.31

 -- Dennis Braun <snd@debian.org>  Tue, 20 Jun 2023 12:56:46 +0200

drumkv1 (0.9.29-1) unstable; urgency=medium

  * New upstream version 0.9.29
  * Refresh patchset
  * Bump d/copyright years
  * Remove obsolete lintian-overrides

 -- Dennis Braun <snd@debian.org>  Sun, 29 Jan 2023 16:30:08 +0100

drumkv1 (0.9.28-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Defer stripping to dh_strip. (Closes: #1023189)

  [ Dennis Braun ]
  * New upstream version 0.9.28
  * Update my email address
  * Bump Standards-Version to 4.6.2

 -- Dennis Braun <snd@debian.org>  Fri, 30 Dec 2022 16:10:48 +0100

drumkv1 (0.9.27-2) unstable; urgency=medium

  * Build with Qt6
  * Add lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 06 Oct 2022 22:33:32 +0200

drumkv1 (0.9.27-1) unstable; urgency=medium

  * New upstream version 0.9.27

  [ Dennis Braun ]
  * d/tests
    + No more start and kill
    + Fix missed quotation mark

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Prefer libjack-dev over libjack-jackd2-dev
  * Apply 'wrap-and-sort -ast'
  * Update d/copyright
    + Refresh dates
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 06 Oct 2022 11:13:56 +0200

drumkv1 (0.9.26-1) unstable; urgency=medium

  * New upstream version 0.9.26
  * Use libjack-jackd2-dev as preferable B-D and libjack-dev as optional
  * Add libqt5svg5-dev as B-D and sort B-Ds
  * Bump Standards Version to 4.6.1

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 08 Jun 2022 17:03:23 +0200

drumkv1 (0.9.25-1) unstable; urgency=medium

  * New upstream version 0.9.25
  * Update paths to manpages and rename appdata and mime file

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 15 Apr 2022 23:04:33 +0200

drumkv1 (0.9.24-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Dennis Braun ]
  * New upstream version 0.9.24
  * Build with cmake
  * Update d/copyright years
  * The Appdata file has been renamed
  * The desktop file name has changed
  * Update d/not-installed
  * Drop obsolete patches
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 16 Jan 2022 23:02:51 +0100

drumkv1 (0.9.23-1) unstable; urgency=medium

  * New upstream version 0.9.23
  * Bump Standards-Version to 4.6.0
  * Remove constraints unnecessary since stretch
  * debian/rules: Atm debian archive has no qt6, we compile with --disable-qt6

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 22 Aug 2021 23:49:09 +0200

drumkv1 (0.9.20-1) unstable; urgency=medium

  * New upstream version 0.9.20
  * Update d/copyright years

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 10 Feb 2021 21:11:06 +0100

drumkv1 (0.9.19-1) unstable; urgency=medium

  * New upstream version 0.9.19
  * Enable debugging
  * Update d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 22 Dec 2020 00:37:55 +0100

drumkv1 (0.9.18-2) unstable; urgency=medium

  * Team upload
  * debian/control: Bump Standards-Version
  * debian/tests/control: Re-add allow-stderr for stderr output

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Dec 2020 15:02:18 +0100

drumkv1 (0.9.18-1) unstable; urgency=medium

  * New upstream version 0.9.18
  * Add myself to the d/ section in d/copyright
  * Update d/not-installed
  * d/tests/control: Remove allow-stderr and add superficial to Restrictions

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 28 Oct 2020 20:11:55 +0100

drumkv1 (0.9.17-1) unstable; urgency=medium

  * New upstream version 0.9.17
  * Add a simple autopkgtest

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 09 Sep 2020 22:02:48 +0200

drumkv1 (0.9.16-1) unstable; urgency=medium

  * New upstream version 0.9.16

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Aug 2020 17:13:05 +0200

drumkv1 (0.9.15-1) unstable; urgency=medium

  * New upstream version 0.9.15
  * Mark drumkv1-common as Multi-Arch: foreign
  * Change drumkv1-common Architecture to all
  * Make drumkv1 and drumkv1-lv2 depend on source:Version and not binary

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 13 Jul 2020 21:33:53 +0200

drumkv1 (0.9.14-1) unstable; urgency=medium

  * New upstream version 0.9.14
  * Install usr/share/mime/packages
  * Update cross build patch
  * Bump dh-compat to 13
  * Add false positives to d/not-installed
  * d/rules: Remove obsolete linker flag

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 09 May 2020 23:23:52 +0200

drumkv1 (0.9.13-1) unstable; urgency=medium

  * New upstream version 0.9.13
  * Update cross build patch
  * d/copyright: Update copyright year
  * d/upstream/metadata: Add Archive and remove name

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 29 Mar 2020 22:47:36 +0200

drumkv1 (0.9.12-2) unstable; urgency=medium

  [ Dennis Braun ]
  * Use QMAKE_STRIP instead of hardcode strip (Thanks Helmut Grohne!)
  * Bump S-V to 4.5.0
  * Add me as uploader
  * Add d/upstream/metadata

  [ Sebastian Ramacher ]
  * debian/rules: Use dpkg's architecture.mk

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 15 Mar 2020 12:16:34 +0100

drumkv1 (0.9.12-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.9.12
  * debian/control:
    + Add libjack-jackd2-dev as optional build dependency
    + Remove obsolete ${shlibs:Depends} from drumkv1-common
  * debian/copyright:
    + Add FSFAP license
    + Update years and http to https
  * debian/drumkv1-common.install: Drop deprecated so.* files, only lv2 now
  * debian/drumkv1-lv2.install: Fix install path
  * debian/drumkv1.manpages: Add french translation
  * debian/drumkv1.mime: Fix quoted-placeholder-in-mailcap-entry
    (Thanks Sebastian!)
  * debian/patches/0004-fix_install_path.patch: Drop, obsolete

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 10 Jan 2020 22:32:57 +0100

drumkv1 (0.9.10-1) unstable; urgency=medium

  * New upstream version 0.9.10

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ IOhannes m zmölnig ]
  * Refresh patches
  * Install helper-libraries to multi-arch location

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 23 Oct 2019 16:43:00 +0200

drumkv1 (0.9.9-1) unstable; urgency=medium

  * New upstream version 0.9.9

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ IOhannes m zmölnig ]
  * Refresh patches
  * Drop B-D on automake
  * Bump dh compat to 12

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Sep 2019 11:24:04 +0200

drumkv1 (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
    * Refreshed patches.
  * Bumped standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 18 Jan 2019 23:59:28 +0100

drumkv1 (0.9.3-1) unstable; urgency=medium

  * New upstream version 0.9.3
  * Declare that "root" is not required for building this package
  * Bumped standards to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 14 Nov 2018 11:45:23 +0100

drumkv1 (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2
    * Refreshed patches
  * Added 'licensecheck' target to d/rules and generated d/copyright_hints
  * Bumped standards version to 4.2.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 25 Aug 2018 20:50:41 +0200

drumkv1 (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig ]
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 02 Jul 2018 13:16:22 +0200

drumkv1 (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ IOhannes m zmölnig ]
  * Refreshed patches
  * Updated d/copyright
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 21 Mar 2018 23:52:46 +0100

drumkv1 (0.8.6-1) unstable; urgency=medium

  * New upstream version 0.8.6
  * Use secure uri in copyright file.
  * Bump Standards.
  * Set dh/compat 11.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 28 Dec 2017 22:28:37 +0100

drumkv1 (0.8.5-1) unstable; urgency=medium

  * New upstream version 0.8.5
  * Use secure uri in watch file.
  * Bump Standards.
  * Update Homepage to avoid redirecting.
  * Fix install of metainfo files.
  * Improve dh version.
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 02 Nov 2017 15:44:46 +0100

drumkv1 (0.8.4-1) unstable; urgency=medium

  * New upstream version 0.8.4
  * Bump Standards.
  * Update Vcs - use git instead of cgit.
  * Introduce postclone.sh script to ignore .pc/ dir.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 23 Aug 2017 11:20:52 +0200

drumkv1 (0.8.3-1) unstable; urgency=medium

  * New upstream version 0.8.3
  * Avoid useless linking.
  * Remove useless flags.
  * Remove dh_autoreconf.
  * Sign tags.
  * Update copyright file.
  * Fix dh version.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Jun 2017 15:06:44 +0200

drumkv1 (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * Dropped reproducible-build patch (no longer needed)
  * Bumped standards version to 4.0.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Jun 2017 11:04:39 +0200

drumkv1 (0.8.0-3) unstable; urgency=medium

  * Patch for reproducible build.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #860213)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Jun 2017 10:57:49 +0200

drumkv1 (0.8.0-2) unstable; urgency=medium

  * Team upload
  * Drop myself from the Uploaders field

 -- Alessio Treglia <alessio@debian.org>  Sun, 29 Jan 2017 13:51:33 +0000

drumkv1 (0.8.0-1) unstable; urgency=medium

  * Patch forwarded.
  * New upstream version 0.8.0
  * Set dh/compat 10.
  * Update copyright file.
  * Patches refreshed/removed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 21 Nov 2016 10:29:08 +0100

drumkv1 (0.7.6-4) unstable; urgency=medium

  * Fixed version in Breaks/Replaces clause (Closes: #839135)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 29 Sep 2016 21:35:48 +0200

drumkv1 (0.7.6-3) unstable; urgency=medium

  * Install icons and mimetypes
    * Fixed description of mimetype
  * Fixed wording in long description of drumkv1-lv2
  * Added continuation semicolon in B-D
  * Added myself to uploaders

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Sep 2016 11:39:35 +0200

drumkv1 (0.7.6-2) unstable; urgency=medium

  * Fix Depends: fields.
  * Add Breaks: Replaces: fields. (Closes: #839044)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 28 Sep 2016 11:11:02 +0200

drumkv1 (0.7.6-1) unstable; urgency=medium

  * New upstream version 0.7.6
  * Patches refreshed.
  * Split package.
  * Rename and install man page.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 20 Sep 2016 02:54:18 +0200

drumkv1 (0.7.5-1) unstable; urgency=medium

  * Imported Upstream version 0.7.5
  * Bump Standards.
  * Remove patch applied upstream.
  * Refresh patch.
  * Switch to qt5.
  * Fix VCS fields.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 16 Jun 2016 12:27:04 +0200

drumkv1 (0.7.1-1) unstable; urgency=medium

  * Imported Upstream version 0.7.1
  * Refresh patches.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 03 Sep 2015 02:37:50 +0200

drumkv1 (0.6.3-1) unstable; urgency=medium

  * Imported Upstream version 0.6.3

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 11 May 2015 01:20:19 +0200

drumkv1 (0.6.2-1) unstable; urgency=medium

  * Imported Upstream version 0.6.2

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 04 May 2015 22:15:13 +0200

drumkv1 (0.6.1-1) unstable; urgency=medium

  * Imported Upstream version 0.6.1
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 22 Mar 2015 14:59:19 +0100

drumkv1 (0.5.1-1) unstable; urgency=low

  * Imported Upstream version 0.5.1

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 25 Sep 2014 16:05:03 +0200

drumkv1 (0.5.0-1) unstable; urgency=low

  * Imported Upstream version 0.5.0
  * Patch refreshed.
  * Install lv2 plugin to non-multiarch dir.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 09 Aug 2014 09:30:17 +0200

drumkv1 (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * Fix syntax for Keywords entry in desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 11 Apr 2014 19:21:51 +0200

drumkv1 (0.4.0-1) unstable; urgency=low

  * Imported Upstream version 0.4.0
  * Two patches removed - applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 11 Mar 2014 13:39:20 +0100

drumkv1 (0.3.6-3) unstable; urgency=low

  * Fixed FTBS on kfreebsd-* and hurd.
    Thanks to Steven Chamberlain <steven@pyro.eu.org>

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 29 Jan 2014 00:44:33 +0100

drumkv1 (0.3.6-2) unstable; urgency=low

  * Fixed install path.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 25 Jan 2014 10:11:58 +0100

drumkv1 (0.3.6-1) unstable; urgency=low

  * Imported Upstream version 0.3.6
  * Bump Standards.
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 23 Jan 2014 02:26:10 +0100

drumkv1 (0.3.5-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Oct 2013 12:17:11 +0100

drumkv1 (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Fix some hardening issues.
  * Added liblo-dev as build-dep.
  * Refreshed patch.
  * Added Keywords to desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 10 Sep 2013 16:34:21 +0200

drumkv1 (0.3.3-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added myself as uploader

  [ Alessio Treglia ]
  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Sun, 30 Jun 2013 16:47:16 +0100

drumkv1 (0.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Mar 2013 11:22:33 +0000

drumkv1 (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 08 Feb 2013 18:22:58 +0000

drumkv1 (0.3.0-1) unstable; urgency=low

  * New upstream release:
    - Dropped all SSE dummy build optimization flags as they were
      making more harm than real good, performance wise.
    - GUI layout moved from a toolbox into a stacked tab widget;
      also, a status-bar has been added at the bottom display.
    - LV2 Atom/MIDI event processing is now official, a replacement
      for the formerly deprecated LV2 Event/MIDI specification.
    - Added dirty checking also on switching from unamed presets.
    - JACK stand-alone: preset loader initialization fix.
  * Fix package description.
  * Fix Homepage.
  * Fix Vcs fields.

 -- Alessio Treglia <alessio@debian.org>  Sat, 29 Dec 2012 15:02:52 +0000

drumkv1 (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #694054)

 -- Alessio Treglia <alessio@debian.org>  Fri, 23 Nov 2012 15:53:54 +0000
